(*
 * coqdoc - A documentation tool for Coq
 * Copyright (C) 2002 Jean-Christophe FILLIATRE
 * 
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * See the GNU General Public License version 2 for more details
 * (enclosed in the file GPL).
 *)

(*i $Id: output.mli,v 1.9 2002/02/27 10:51:44 filliatr Exp $ i*)

open Index

type target_language = LaTeX | HTML

val target_language : target_language ref

val set_out_file : string -> unit
val close : unit -> unit

val quiet : bool ref
val short : bool ref
val header_trailer : bool ref
val index : bool ref
val multi_index : bool ref
val extern_defs : bool ref
val title : string ref
val externals : bool ref
val coqlib : string ref

val set_module : coq_module -> unit

val header : unit -> unit
val trailer : unit -> unit

val push_in_preamble : string -> unit

val dump_file : string -> unit

val start_module : unit -> unit

val start_doc : unit -> unit
val end_doc : unit -> unit

val start_coq : unit -> unit
val end_coq : unit -> unit

val start_inline_coq : unit -> unit
val end_inline_coq : unit -> unit

val line_break : unit -> unit
val indentation : int -> unit
val paragraph : unit -> unit

val section : int -> string -> unit

val item : int -> unit

val rule : unit -> unit

val char : char -> unit
val ident : string -> loc -> unit
val symbol : string -> unit

val latex_char : char -> unit
val html_char : char -> unit
val verbatim_char : char -> unit

val start_latex_math : unit -> unit
val stop_latex_math : unit -> unit
val start_verbatim : unit -> unit
val stop_verbatim : unit -> unit

val make_index : unit -> unit
